Package org.eclipse.graphiti.ui.internal.util.draw2d

## Class ChopboxAnchorFixed

- java.lang.Object
- - org.eclipse.draw2d.ConnectionAnchorBase
  - - org.eclipse.draw2d.AbstractConnectionAnchor
    - - org.eclipse.draw2d.ChopboxAnchor
      - - org.eclipse.graphiti.ui.internal.util.draw2d.ChopboxAnchorFixed

All Implemented Interfaces:
  `org.eclipse.draw2d.AncestorListener`, `org.eclipse.draw2d.ConnectionAnchor`

Direct Known Subclasses:
  `GFChopboxAnchor`

    public class ChopboxAnchorFixed
    extends org.eclipse.draw2d.ChopboxAnchor

The purpose of this class is to fix bugs in the `ChopboxAnchor` by overwriting the erroneous methods.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener

`org.eclipse.draw2d.AncestorListener.Stub`

### Field Summary

### Fields inherited from class org.eclipse.draw2d.ConnectionAnchorBase

`listeners`

### Constructor Summary

Constructors
`ChopboxAnchorFixed​(org.eclipse.draw2d.IFigure figure, AdvancedAnchor advancedAnchor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected AdvancedAnchor` `getAdvancedAnchor()`
`org.eclipse.draw2d.geometry.Point` `getLocation​(org.eclipse.draw2d.geometry.Point reference)` CHANGED: if the reference is in the center of the figure, the result was not correct.

### Methods inherited from class org.eclipse.draw2d.ChopboxAnchor

`equals, getBox, getReferencePoint, hashCode`

### Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor

`addAnchorListener, ancestorAdded, ancestorMoved, ancestorRemoved, getOwner, removeAnchorListener, setOwner`

### Methods inherited from class org.eclipse.draw2d.ConnectionAnchorBase

`fireAnchorMoved`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChopboxAnchorFixed

    public ChopboxAnchorFixed​(org.eclipse.draw2d.IFigure figure,
                              AdvancedAnchor advancedAnchor)

### Method Detail

#### getLocation

    public org.eclipse.draw2d.geometry.Point getLocation​(org.eclipse.draw2d.geometry.Point reference)

CHANGED: if the reference is in the center of the figure, the result was not correct. This method has to be kept in sync with `GefService.getChopboxLocationOnBox(Point, Rectangle)`.

Specified by:
  `getLocation` in interface `org.eclipse.draw2d.ConnectionAnchor`
Overrides:
  `getLocation` in class `org.eclipse.draw2d.ChopboxAnchor`

#### getAdvancedAnchor

    protected AdvancedAnchor getAdvancedAnchor()